Skip to content

Create Integration Point

Request

Create a IntegrationPoint object.

Operation ID: integrationPoints_create

Security
BearerAuth
Bodyapplication/jsonrequired
connectorstring(CategoryId)required

Connector to use for the Integration Point.

Enum:"appsec""assets""chat""cloudsecurity""custom""edr""emailsecurity""endpointmanagement""grc""identity"
environmentsobject(IntegrationEnvironments)required

Selects providers to use for account environments.

namestring or null

Unique short name for this Integration Point (lowercase [a-z0-9_-], can be used in URLs). Also used for case insensitive duplicate name detection and default sort order. Defaults to IntegrationPointId if both name and fullname are not specified.

fullnamestring or null

Name of integration point, will be shown to end-users in the Connect UI. Defaults to the same value as the 'name' field if not specified.

descriptionstring or null

Optional description of the Integration Point. Will not be displayed to end-users of Connect UI.

mappingsArray of objects or null(MappingChainTemplate)

A list of mapping chains to apply to integrations using this integration point. Each mapping chain is a list of mappings to apply to the integration in the order they should be applied. Mappings are applied by operation ID. If an integration is created that declares its own mappings for an operation, they will override this list of mappings. Leave this empty to use the default default mappings.

additional_mappingsArray of objects or null(AdditionalMappingTemplate)

Additional data mappings for integrations added to this integration point. This allows for custom data to be mapped to the custom_fields portion of the response.

scheduled_operationsArray of objects or null(OperationSchedule)

A creation template for integration scheduled operations. When an integration is created without a non-empty scheduled_operations list, this list is copied onto the integration and its operations are scheduled from that snapshot. Updating or clearing this template never changes integrations that already exist.

curl
curl -i -X POST \
  https://api.synqly.com/v1/integration-points \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "connector": "appsec",
    "environments": {}
  }'

Responses

Bodyapplication/json
resultobject(IntegrationPoint)required

Enables creation, editing and deletion of Integrations.

Response
{ "result": { "id": "string", "fullname": "string", "description": "string", "connector": "appsec", "environments": { … }, "mappings": [ … ], "additional_mappings": [ … ], "scheduled_operations": [ … ], "name": "string", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" } }